/**
 * Test case for listLogger.
 * Runs with nodeunit.
 */

var ListLogger = require('../lib/logging/list_logger.js');

exports.setUp = function (done) {
    done();
};

exports.tearDown = function (done) {
    done();
};

exports['List logger'] = function (test) {
    var logger = new ListLogger({});
    logger.logList({
        foo: [
            'foo:foo1',
            'foo:foo2'
        ],
        'foo:foo1': function () {

        },
        'foo:foo2': {
            desc: 'baz'
        },
        'foo:foo3': [
            {
                desc: 'baz.'
            }, {
                desc: 'baz2.'
            }
        ]
    });
    test.done();
};

