/**
 * Test case for apemanTask.
 * Runs with nodeunit.
 */

var apemanTask = require('../lib/apeman_task.js');

exports.setUp = function (done) {
    done();
};

exports.tearDown = function (done) {
    done();
};

exports['List task'] = function (test) {
    apemanTask({
        configuration:require.resolve('../doc/mocks/mock-Apemanfile.js')
    }, function (err) {
        test.ifError(err);
        test.done();
    });
};


exports['Run task'] = function (test) {
    apemanTask('foo', {
        configuration:require.resolve('../doc/mocks/mock-Apemanfile.js')
    }, function (err) {
        test.ifError(err);
        test.done();
    });
};


exports['Run child task'] = function (test) {
    apemanTask('child01#bar', {
        configuration:require.resolve('../doc/mocks/mock-Apemanfile.js')
    }, function (err) {
        test.ifError(err);
        test.done();
    });
};

