/**
 * Test case for runLogger.
 * Runs with nodeunit.
 */

var RunLogger = require('../lib/logging/run_logger.js');

exports.setUp = function(done) {
    done();
};

exports.tearDown = function(done) {
    done();
};

exports['Run logger'] = function(test){
    var logger = new RunLogger({
        verbose: true,
        indent: 2
    });
    logger.logTaskStarted("foo", {
        baz: 'quz'
    });
    logger.error = function () {

    };
    logger.logTaskFinished(300);
    //logger.logTaskFailed(new Error());
    test.done();
};

